LibreOffice LibreOffice 25.2 SDK API Reference

Public Member Functions | List of all members
XTextLayoutConstrains Interface Referencepublished

specifies the layout constraints for a text field. More...

`import"XTextLayoutConstrains.idl";`

Inheritance diagram for XTextLayoutConstrains:

## Public Member Functions
com::sun::star::awt::Size | getMinimumSize ([in] short nCols, [in] short nLines)
| returns the minimum size for a given number of columns and lines. More...
void | getColumnsAndLines ([out] short nCols, [out] short nLines)
| returns the ideal number of columns and lines for displaying this text. More...
Public Member Functions inherited from XInterface
any | queryInterface ([in] type aType)
| queries for a new interface to an existing UNO object. More...
void | acquire ()
| increases the reference counter by one. More...
void | release ()
| decreases the reference counter by one. More...

## Detailed Description

specifies the layout constraints for a text field.

## Member Function Documentation

## ◆ getColumnsAndLines()

void getColumnsAndLines | ( | [out] short | nCols,
|  | [out] short | nLines
| ) |  |

returns the ideal number of columns and lines for displaying this text.

## ◆ getMinimumSize()

com::sun::star::awt::Size getMinimumSize | ( | [in] short | nCols,
|  | [in] short | nLines
| ) |  |

returns the minimum size for a given number of columns and lines.

The documentation for this interface was generated from the following file:

- com/sun/star/awt/XTextLayoutConstrains.idl